Distorted Android - Bug #29

Postprocessed surface incorrectly merged
04/08/2018 09:24 PM - Leszek Koltunski

Status: Closed

Priority: Normal
Assignee: Leszek Koltunski
Category:

Target version:

Start date: 04/08/2018
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

As easily demonstrated by the Triblur' app, when we have 2 postprocessed objects, and the one closer to us is drawn first, and it
obstructs another post processed object further away from us, then the two post processed surfaces are not merged together

correctly (white band appears).

This is most probably the issue with the 'blitWithDepth' function ignoring transparency. We need a method which will be able to

merge two surfaces taking into account

a) color
b) depth
c) transparency

Related issues:
Related to Feature #15: Order Independent Transparency

Closed 06/17/2016

History

#1 - 04/12/2018 11:10 PM - Leszek Koltunski
- Related to Feature #15: Order Independent Transparency added

#2 - 05/30/2018 01:02 PM - Leszek Koltunski
- Status changed from New to Closed

- Assignee set to Leszek Koltunski

- % Done changed from 0 to 100

Commit library|c207da02 resolves this.
https://distorted.org/redmine/projects/distorted-android/repository/library/revisions/c207da02518e0c97376aa842bd3cf20a957ea1ee
